* {
    font-family: 'Outfit', sans-serif;
}

body {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    box-sizing: border-box;
    background: linear-gradient(135deg, #0922ff, #0505ff87);
}

.leaderboard_modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    background-color: #0000001d;
    backdrop-filter: blur(5px);
    box-shadow: 0px 0px 15px #00000099;
}

.panduan_modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    background-color: #0000001d;
    backdrop-filter: blur(5px);
    box-shadow: 0px 0px 15px #00000099;
    transition: 0.3s;
}

.leaderboard_popup, .panduan {
    display: flex;
    flex-direction: column;
    background-color: #11001e;
    color: #fff;
    padding: 30px;
    border-radius: 10px;
    width: 30%;
}

.leaderboard_popup .judul h2, .panduan h2 {
    display: flex;
    justify-content: space-between;
}

.leaderboard_popup .judul span, .panduan h2 {
    cursor: pointer;
}

.leaderboard_popup table {
    width: 100%;
    border-collapse: collapse;
    justify-content: space-between;
    border-bottom: solid 1px #ffffff99;
    padding-bottom: 5px;
}

.leaderboard_popup th,
.leaderboard_popup td {
    padding: 10px;
    text-align: center;
}

.welcomePage {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.card {
    width: 50vh;
}

.card, .cardgame {
    background-color: #222;
    padding: 10px 20px;
    border-radius: 5px;
    /* width: 35vh; */
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #fff;
}

.card h1, .cardgame h1 {
    margin: 0;
    margin-bottom: 10px;
}

.card input {
    padding: 10px;
    width: 95%;
    border: none;
    border-radius: 3px;
    background-color: transparent;
    border: 1px solid #fff;
    color: #fff;
    font-size: 1rem;
    margin-bottom: -5px;
    transition: 0.3s;
}

.card button {
    background-color: rgb(0, 119, 255);
    padding: 10px;
    width: 100%;
    border: none;
    border-radius: 3px;
    color: #fff;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.3s;
}

.card .tombol {
    width: 100%;
    margin-top: 10px;
    display: flex;
    gap: 10px;
}

.card #play:hover {
    background-color: rgba(1, 86, 183, 0.8);
}

.card .panduan{
    background-color: transparent;
    border: 2px solid rgb(0, 119, 255);
    color: rgb(0, 119, 255);
}

.card .panduan:hover {
    background-color: rgb(0, 119, 255);
    color: #fff;
}

.card .leader {
    background-color: transparent;
    border: 2px solid rgb(255, 234, 0);
    color: rgb(255, 234, 0);
}

.card .leader:hover{
    background-color: rgb(255, 234, 0);
    color: #fff;
}

.card input:focus{
    outline: none;
    border-color: rgb(0, 119, 255);
    box-shadow: 0px 0px 10px rgb(0, 119, 255);
}

.gamePage{
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.gamePage, .welcome-page h1{
    text-align: center;
}

.gamePage .atas {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.gamePage .atas .nyawa {
    display: flex;
    align-items: center;
    gap: 10px;
}

.gamePage .atas .waktu{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.gamePage .atas .waktu p{
    margin: 0;
    font-size: 1.2rem;
}

.gamePage .atas .waktu span{
    display: flex;
    align-items: center;
    background-color: rgb(0, 106, 255);
    padding: 2px 10px;
    font-size: 0.8em;
    border-radius: 20px;
    color: #fff;
}

.gamePage .bawah {
    display: flex;
    justify-content: space-evenly;
    gap: 20px;
    margin-top: 20px;
    margin-bottom: 10px;
    width: 100%;
}

.gamePage .bawah button {
    padding: 10px;
    width: 100%;
    border: none;
    border-radius: 3px;
    color: #fff;
    font-size: 0.8rem;
    cursor: pointer;
    transition: 0.3s;
}

.gamePage .bawah .panduan {
    background-color: rgb(0, 119, 255);
}

.gamePage .bawah .panduan:hover {
    background-color: rgba(1, 86, 183, 0.8);
}

.gamePage .bawah .leader {
    background-color: rgb(255, 234, 0);
}

.gamePage .bawah .leader:hover {
    background-color: rgb(255, 234, 0);
}


#game {
    background-color: #555;
    display: grid;
    grid-template-columns: repeat(10, 50px);
    grid-template-rows: repeat(10, 50px);
}

.cell {
    width: 50px;
    height: 50px;
    background-color: #222;
    border: 1px solid #000;
}

.wall {
    background-color: gray;
}

.player {
    background-color: blue;
}

.finish {
    background-color: rgb(0, 255, 0);
}

.gameover {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    /* background-color: #000000db; */
    backdrop-filter: blur(5px);
    color: #fff;
    height: 100vh;
    width: 100vw;
    z-index: 999;
}

.popup {
    display: block;
    margin: 15% auto;
    background-color: #222;
    width: 25%;
    padding: 10px 30px;
    border-radius: 10px;
}

.popup h1 {
    text-align: center;
    color: #e53935;
}

.tengah {
    margin-top: 10%;
}

.username,
.stage_akhir {
    display: flex;
    justify-content: space-between;
}

.popup button, .bawah button {
    border: none;
    color: #fff;
    flex: 1;
    font-weight: 600;
    cursor: pointer;
    border-radius: 4px;
    padding: 10px;
}

.popup .tombol {
    margin-top: 10%;
    margin-bottom: 3%;
    display: flex;
    width: 100%;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.simpan {
    background-color: #00c853;
}

.restart {
    background-color: rgb(0, 85, 255);
} 